Package org.flowable.bpmn.model

# Class Gateway

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.FlowElement
org.flowable.bpmn.model.FlowNode
org.flowable.bpmn.model.Gateway

All Implemented Interfaces:
  `HasExecutionListeners`, `HasExtensionAttributes`

Direct Known Subclasses:
  `ComplexGateway`, `EventGateway`, `ExclusiveGateway`, `InclusiveGateway`, `ParallelGateway`

public abstract class Gateway extends FlowNode

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `defaultFlow`

  ### Fields inherited from class org.flowable.bpmn.model.FlowNode

  `asynchronous, asynchronousLeave, asynchronousLeaveNotExclusive, behavior, incomingFlows, notExclusive, outgoingFlows`

  ### Fields inherited from class org.flowable.bpmn.model.FlowElement

  `documentation, executionListeners, name, parentContainer`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Gateway()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Gateway`
  `clone()`
  `String`
  `getDefaultFlow()`
  `void`
  `setDefaultFlow(String defaultFlow)`
  `void`
  `setValues(Gateway otherElement)`

  ### Methods inherited from class org.flowable.bpmn.model.FlowNode

  `getBehavior, getIncomingFlows, getOutgoingFlows, isAsynchronous, isAsynchronousLeave, isAsynchronousLeaveExclusive, isAsynchronousLeaveNotExclusive, isExclusive, isNotExclusive, setAsynchronous, setAsynchronousLeave, setAsynchronousLeaveExclusive, setAsynchronousLeaveNotExclusive, setBehavior, setExclusive, setIncomingFlows, setNotExclusive, setOutgoingFlows, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowElement

  `getDocumentation, getExecutionListeners, getName, getParentContainer, getSubProcess, setDocumentation, setExecutionListeners, setName, setParentContainer, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### defaultFlow

    protected String defaultFlow

- ## Constructor Details

  - ### Gateway

    public Gateway()

- ## Method Details

  - ### getDefaultFlow

    public String getDefaultFlow()

  - ### setDefaultFlow

    public void setDefaultFlow(String defaultFlow)

  - ### clone

    public abstract Gateway clone()
    Specified by:
      `clone` in class `FlowElement`

  - ### setValues

    public void setValues(Gateway otherElement)